Автор Тема: mysql 5.7.29  (Прочитано 3680 раз)

Оффлайн tema

  • Мастер
  • ***
  • Сообщений: 2 065
    • Email
mysql 5.7.29
« : 25.02.2020 15:27:24 »
Как установить сабж?
Я в p8 нашёл 5.7.28 хотябы её.
Просто понятно, что если я apt-get эти rpm, то он мне их сразу автоматически обновит до P9, т.е. до 8 версии. Я хочу, чтобы была версия 5.7 это можно как-то установить и заморозить этот пакет от обновления?

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 692
    • Домашняя страница
    • Email
Re: mysql 5.7.29
« Ответ #1 : 25.02.2020 16:39:22 »
Срок поддержки p8 закончен.
Андрей Черепанов (cas@)

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 7 422
  • Sunny 273 RUS crew
Re: mysql 5.7.29
« Ответ #2 : 26.02.2020 09:53:32 »
Как установить сабж?
Я в p8 нашёл 5.7.28 хотябы её.
А в чём проблема поставить 5.7.28? "apt-get install MySQL-server". Вот если нужен переход на 5.7 с 5.5 (какая была изначально в p8), то есть грабли с паролями, тут целая тема была посвещена переезду на новую версию.

Оффлайн ASte

  • Мастер
  • ***
  • Сообщений: 1 426
Re: mysql 5.7.29
« Ответ #3 : 26.02.2020 11:52:53 »

Оффлайн ASte

  • Мастер
  • ***
  • Сообщений: 1 426
Re: mysql 5.7.29
« Ответ #4 : 26.02.2020 12:02:05 »
Еще можно взять src.rpm и спеки из p8, и попробовать пересобрать их в p9. Чтобы не обновлялся пакет  после установки - поставить его на hold в настройках apt

Оффлайн tema

  • Мастер
  • ***
  • Сообщений: 2 065
    • Email
Re: mysql 5.7.29
« Ответ #5 : 26.02.2020 13:25:18 »
Срок поддержки p8 закончен.
У меня p9. В p9 версия 8. Я хочу не 8, а 5.7

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 7 422
  • Sunny 273 RUS crew
Re: mysql 5.7.29
« Ответ #6 : 26.02.2020 14:49:08 »
Срок поддержки p8 закончен.
У меня p9. В p9 версия 8. Я хочу не 8, а 5.7
А, блин. Дошло. Во-первых стоит понять зачем. Если всё же надо, то поставить из p8 и описать в секции hold у apt:
https://www.altlinux.org/APT_в_ALT_Linux/Советы_по_использованию#Hold_пакета_%28Заблокировать_версию_пакета%29